Name:               lat
Summary:            LDAP Administration Tool
Version:            1.2.2
Release:            2%{?dist}
License:            GPL
Group:              Applications/Productivity
Url:                http://dev.mmgsecurity.com/projects/lat/
Source0:            http://dev.mmgsecurity.com/downloads/lat/1.2/lat-%{version}.tar.gz
Patch0:             lat-1.2.2-libdir.patch
BuildRoot:          %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:      mono-devel >= 1.1.12.1, gnome-keyring-devel >= 0.4.2, avahi-sharp
BuildRequires:      scrollkeeper, gettext, intltool, dbus-sharp
%if "%{?fedora}" == "5"
BuildRequires:      gtk-sharp2 >= 2.8.0
%else
BuildRequires:      gnome-sharp-devel, gtk-sharp2-devel >= 2.8.0, dbus-sharp-devel
Requires:           scrollkeeper, gnome-sharp
%endif
Requires:           mono-data, gtk-sharp2, dbus-sharp, avahi-sharp

Requires(post):     scrollkeeper
Requires(postun):   scrollkeeper

# Debuginfo package would be empty as there are no binaries in this package
%define debug_package %{nil}

%description
LAT stands for LDAP Administration Tool. The tool allows you to browse
LDAP-based directories and add/edit/delete entries contained within. It can
store profiles for quick access to different servers. There are also
different views available such as Users, Groups and Hosts that allow you to
manage objects easily without having to deal with the intricacies of LDAP.

%package devel
Summary:            Development files for building plugins for LDAP Administration Tool
Group:              Development/Libraries
Requires:           %{name} = %{version}-%{release}, pkgconfig
%if "%{?fedora}" == "5"
Requires:           gtk-sharp2
%else
Requires:           gtk-sharp2-devel
%endif

%description devel
The lat-devel package contains the files needed to build plugins for lat
(LDAP Administration Tool).

%prep
%setup -q

# Pick up the executable from %{_libdir} rather than %{_prefix}/lib
%patch0 -p1 -b .libdir

%build
%configure --disable-dependency-tracking

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} \
        appicondir=%{_datadir}/icons/hicolor/22x22/apps \
        install

# Remove scrollkeeper crud (rebuilt in %%post)
%{__rm} -rf %{buildroot}%{_localstatedir}/scrollkeeper

# Fix up desktop file
/usr/bin/desktop-file-install \
        --vendor fedora \
        --delete-original \
        --dir %{buildroot}%{_datadir}/applications \
        --add-category X-Fedora \
        %{buildroot}%{_datadir}/applications/lat.desktop

# Find translations
%find_lang %{name}

%clean
%{__rm} -rf %{buildroot}

%post
/usr/bin/scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
/bin/touch --no-create %{_datadir}/icons/hicolor || :
[ -x %{_bindir}/gtk-update-icon-cache ] && %{_bindir}/gtk-update-icon-cache \
        --quiet %{_datadir}/icons/hicolor || :

%postun
/usr/bin/scrollkeeper-update -q || :
/bin/touch --no-create %{_datadir}/icons/hicolor || :
[ -x %{_bindir}/gtk-update-icon-cache ] && %{_bindir}/gtk-update-icon-cache \
        --quiet %{_datadir}/icons/hicolor || :

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING* README TODO
%{_bindir}/lat
%{_libdir}/lat/
%{_datadir}/application-registry/lat.applications
%{_datadir}/applications/fedora-lat.desktop
%dir %{_datadir}/gnome/
%dir %{_datadir}/gnome/help/
%{_datadir}/gnome/help/lat/
%{_datadir}/icons/hicolor/22x22/apps/lat.png
%if "%{?fedora}" == "5"
%dir %{_datadir}/omf/
%endif
%{_datadir}/omf/lat/
%{_mandir}/man1/lat.1*

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/lat-plugins.pc

%changelog
* Fri Mar 16 2007 Paul Howarth <paul@city-fan.org> 1.2.2-2
- Upstream now installs correctly into %%{_libdir} rather than %%{_prefix}/lib
  so there's no need to override the destination directory in %%install; this
  change gets the plugins installed into the correct directory too (#232278)

* Fri Feb 23 2007 Paul Howarth <paul@city-fan.org> 1.2.2-1
- Update to 1.2.2
- Use a patch rather than an edit in %%prep to fix libdir location

* Tue Nov 21 2006 Paul Howarth <paul@city-fan.org> 1.2.1.1-2
- Add missing runtime dep, gnome-sharp

* Fri Oct 20 2006 Paul Howarth <paul@city-fan.org> 1.2.1.1-1
- Update to 1.2.1.1

* Tue Oct  3 2006 Paul Howarth <paul@city-fan.org> 1.2.0.1-2
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Tue Sep 26 2006 Paul Howarth <paul@city-fan.org> 1.2.0.1-1
- Update to 1.2.0.1
- Update source URL
- Make some buildreqs versioned
- Add new buildreqs and reqs avahi-sharp, dbus-sharp
- Create -devel subpackage for plugins stuff

* Fri Sep  8 2006 Paul Howarth <paul@city-fan.org> 1.0.7-2
- On FC-6 onwards, scrollkeeper owns %%{_datadir}/omf/ (#205668)

* Wed Sep  6 2006 Paul Howarth <paul@city-fan.org> 1.0.7-1
- Update to 1.0.7
- Conditionalize gtk-sharp2 buildreqs for FC-5 and other releases
- Tidy spec changelog

* Mon Aug 29 2006 Paul Howarth <paul@city-fan.org> 1.0.6-3
- buildreq gnome-sharp-devel, gtk-sharp2-devel, and intltool

* Mon Jul  3 2006 Paul Howarth <paul@city-fan.org> 1.0.6-2
- Make package arch-specific; files in %%{_libdir} rather than %%{_prefix}/lib
  See: http://www.redhat.com/archives/fedora-packaging/2006-July/msg00013.html
- Expand tabs to shut rpmlint up

* Sat Jul  1 2006 Paul Howarth <paul@city-fan.org> 1.0.6-1
- Update to 1.0.6
- Remove patch, now fixed upstream

* Mon Jun 19 2006 Paul Howarth <paul@city-fan.org> 1.0.5-6
- Patch configure script, removing need for mono hacks

* Sat Jun 17 2006 Paul Howarth <paul@city-fan.org> 1.0.5-5
- Reinstate %%{_libdir} hack for consistency with other mono apps that actually
  need it

* Thu Jun 15 2006 Paul Howarth <paul@city-fan.org> 1.0.5-4
- Use %%{_prefix}/lib rather than %%{_libdir}, needed for 64-bit builds

* Thu Jun 15 2006 Paul Howarth <paul@city-fan.org> 1.0.5-3
- Pure C# apps should be noarch
- Swap one set of horrible mono hacks for another

* Mon Jun 12 2006 Paul Howarth <paul@city-fan.org> 1.0.5-2
- Spec file cleanups (#177580)
-   No need to use update-desktop-database (no MIME type in desktop file)
-   No need to remove .la files (artefact from old package)
-   Own directories %%{_datadir}/gnome/{,help/} and %%{_datadir}/omf/
-   Put icon in %%{_datadir}/icons/hicolor/22x22/apps directory rather than
    %%{_datadir}/pixmaps, and update icon cache post-install/removal
-   Add doc files AUTHORS ChangeLog COPYING* README TODO
- Add missing buildreq gettext
- Remove redundant MONO_SHARED_DIR assignments in %%build and %%install
- Don't redefine %%{_libdir}, it's not needed
- Prevent creation of debuginfo package, which would be empty for a mono app

* Mon May 22 2006 Paul Howarth <paul@city-fan.org> 1.0.5-1
- Update to 1.0.5
- Use desktop-file-install

* Thu Apr 20 2006 Paul Howarth <paul@city-fan.org> 1.0.4-1
- Update to 1.0.4
- Fix URL/Source tag mix-up
- Use Fedora Extras standard buildroot
- Buildreq/Req gtk-sharp2 rather than gtk-sharp
- Consolidate scriptlet deps
- Use --disable-dependency-tracking with configure to speed up build
- Expand %%description
- Remove buildroot unconditionally in %%clean and %%install
- Use explicit paths for all commands
- Remove build-time scrollkeeper data, which contains buildroot traces
- Tidy up %%files section
- Add %%{?dist} tag
- Hardcode %%{_libdir} as /usr/lib for mono apps
- Add %%defattr in %%files list

* Tue Jan 10 2006 David Malcolm <dmalcolm@redhat.com> 0.8.2-1
- Initial version
